gr::dab::peak_detector_fb_impl Class Reference

`#include <peak_detector_fb_impl.h>`

Inheritance diagram for gr::dab::peak_detector_fb_impl:
[legend]

## Public Member Functions

| peak_detector_fb_impl (float threshold_factor_rise, float threshold_factor_fall, int look_ahead, float alpha)
| ~peak_detector_fb_impl ()
void | set_threshold_factor_rise (float thr)
| Set the threshold factor value for the rise time.
void | set_threshold_factor_fall (float thr)
| Set the threshold factor value for the fall time.
void | set_look_ahead (int look)
| Set the look-ahead factor.
void | set_alpha (float alpha)
| Set the running average alpha.
float | threshold_factor_rise ()
| Get the threshold factor value for the rise time.
float | threshold_factor_fall ()
| Get the threshold factor value for the fall time.
int | look_ahead ()
| Get the look-ahead factor value.
float | alpha ()
| Get the alpha value of the running average.
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::peak_detector_fb
typedef std::shared_ptr< peak_detector_fb > | sptr
Static Public Member Functions inherited from gr::dab::peak_detector_fb
static sptr | make (float threshold_factor_rise=0.25, float threshold_factor_fall=0.40, int look_ahead=10, float alpha=0.001)

## Constructor & Destructor Documentation

## peak_detector_fb_impl()

gr::dab::peak_detector_fb_impl::peak_detector_fb_impl | ( | float | threshold_factor_rise,
|  | float | threshold_factor_fall,
|  | int | look_ahead,
|  | float | alpha )

References alpha(), look_ahead(), threshold_factor_fall(), and threshold_factor_rise().

## ~peak_detector_fb_impl()

gr::dab::peak_detector_fb_impl::~peak_detector_fb_impl | ( |  | ) |

## Member Function Documentation

## alpha()

float gr::dab::peak_detector_fb_impl::alpha | ( |  | ) |

inline virtual

Get the alpha value of the running average.

Returns
  alpha

Implements gr::dab::peak_detector_fb.

Referenced by peak_detector_fb_impl(), and set_alpha().

## look_ahead()

int gr::dab::peak_detector_fb_impl::look_ahead | ( |  | ) |

inline virtual

Get the look-ahead factor value.

Returns
  look-ahead factor

Implements gr::dab::peak_detector_fb.

Referenced by peak_detector_fb_impl().

## set_alpha()

void gr::dab::peak_detector_fb_impl::set_alpha | ( | float | alpha | ) |

inline virtual

Set the running average alpha.

Parameters

  alpha | new alpha for running average

Implements gr::dab::peak_detector_fb.

References alpha().

## set_look_ahead()

void gr::dab::peak_detector_fb_impl::set_look_ahead | ( | int | look | ) |

inline virtual

Set the look-ahead factor.

Parameters

  look | new look-ahead factor

Implements gr::dab::peak_detector_fb.

## set_threshold_factor_fall()

void gr::dab::peak_detector_fb_impl::set_threshold_factor_fall | ( | float | thr | ) |

inline virtual

Set the threshold factor value for the fall time.

Parameters

  thr | new threshold factor

Implements gr::dab::peak_detector_fb.

## set_threshold_factor_rise()

void gr::dab::peak_detector_fb_impl::set_threshold_factor_rise | ( | float | thr | ) |

inline virtual

Set the threshold factor value for the rise time.

Parameters

  thr | new threshold factor

Implements gr::dab::peak_detector_fb.

## threshold_factor_fall()

float gr::dab::peak_detector_fb_impl::threshold_factor_fall | ( |  | ) |

inline virtual

Get the threshold factor value for the fall time.

Returns
  threshold factor

Implements gr::dab::peak_detector_fb.

Referenced by peak_detector_fb_impl().

## threshold_factor_rise()

float gr::dab::peak_detector_fb_impl::threshold_factor_rise | ( |  | ) |

inline virtual

Get the threshold factor value for the rise time.

Returns
  threshold factor

Implements gr::dab::peak_detector_fb.

Referenced by peak_detector_fb_impl().

## work()

int gr::dab::peak_detector_fb_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- peak_detector_fb_impl.h